Updates the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "4475a3b1-c2d6-48fc-9ca5-a4e9e59e64ac",
  "user_id": "14b7b58c-8205-4894-9ce2-d0ec3c36f3d1",
  "user_code": "sample string 3",
  "user": {
    "id": "d410851f-9322-426d-9757-1690fb2c1489",
    "db_language_id": "9f03b8cc-7c42-45c7-bc10-2e3604ea1479",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-06-24T04:19:59.7031312+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "6c543cd1-1495-48b6-894f-a547ad1c4b48",
    "sales_organization": {
      "id": "b666980f-5bc0-48ca-8e87-fef1466eea10",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0fd75b7b-9225-4a1b-9500-053c832fe9b6",
      "db_currency_id": "482c7719-00f1-40aa-a81e-7434c8208f0e",
      "db_language_id": "6697af5f-203e-40c0-a014-59f9455222a2",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-06-24T04:19:59.7031312+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "7baf9ce3-6fbd-4660-8a0c-bbd0c96b5dbb",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "44cd1da4-869a-4d68-8243-2b3ffcaf35ea",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-06-24T04:19:59.7031312+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "7525720a-743e-4e0c-af09-67a086897d71"
  },
  "skill_id": "8d4bf491-16a6-4f81-be13-ba2fef0ecf35",
  "skill_code": "sample string 5",
  "skill": {
    "id": "affc238a-a760-40f2-b23d-7abc7c36b797",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "53c12e1c-b46a-4a0f-b833-57a6086393f3",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "b666980f-5bc0-48ca-8e87-fef1466eea10",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "0fd75b7b-9225-4a1b-9500-053c832fe9b6",
      "db_currency_id": "482c7719-00f1-40aa-a81e-7434c8208f0e",
      "db_language_id": "6697af5f-203e-40c0-a014-59f9455222a2",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-06-24T04:19:59.7031312+00:00"
    },
    "modified_dateutc": "2026-06-24T04:19:59.7031312+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-06-24T04:19:59.7031312+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.